> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Installed Plugin Endpoint

> Get information about a specific installed plugin.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/plugins/installed/{plugin_name}
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/plugins/installed/{plugin_name}:
    get:
      tags:
        - Plugins
      summary: Get Installed Plugin Endpoint
      description: Get information about a specific installed plugin.
      operationId: get_installed_plugin_endpoint_api_plugins_installed__plugin_name__get
      parameters:
        - description: Plugin name (lowercase alphanumeric, hyphens)
          in: path
          name: plugin_name
          required: true
          schema:
            description: Plugin name (lowercase alphanumeric, hyphens)
            maxLength: 255
            minLength: 1
            pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
            title: Plugin Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstalledPluginResponse'
          description: Successful Response
        '404':
          description: Plugin not installed
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    InstalledPluginResponse:
      description: Response containing installed plugin information.
      properties:
        description:
          default: ''
          description: Plugin description
          title: Description
          type: string
        enabled:
          default: true
          description: Whether the plugin is enabled
          title: Enabled
          type: boolean
        files:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Plugin files, relative to install_path (None if load failed)
          title: Files
        install_path:
          description: Path where the plugin is installed
          title: Install Path
          type: string
        installed_at:
          description: ISO 8601 timestamp of installation
          title: Installed At
          type: string
        name:
          description: Plugin name
          title: Name
          type: string
        repo_path:
          anyOf:
            - type: string
            - type: 'null'
          description: Subdirectory path within the repository
          title: Repo Path
        resolved_ref:
          anyOf:
            - type: string
            - type: 'null'
          description: Resolved git commit SHA
          title: Resolved Ref
        skills:
          anyOf:
            - items:
                $ref: '#/components/schemas/PluginSkillSummary'
              type: array
            - type: 'null'
          description: Skills bundled in the plugin (None if it failed to load)
          title: Skills
        source:
          description: Original source (e.g., 'github:owner/repo')
          title: Source
          type: string
        version:
          default: ''
          description: Plugin version
          title: Version
          type: string
      required:
        - name
        - source
        - installed_at
        - install_path
      title: InstalledPluginResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PluginSkillSummary:
      description: Summary of a skill bundled in a plugin.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          title: Name
          type: string
      required:
        - name
      title: PluginSkillSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.